Phantom 4 Problem after Downgrading from v2.0.106 to v1.2.503

Joined
Dec 1, 2017
Messages
1
Reaction score
0
Age
25
Location
Kerala ,India
Got some serious issues on flight stability and gimbal movement on my P4 after updating to latest version (ie v2.0.106) so I tried to downgrade v1.2.503, but no official option available on Assistant 2. Then I used DUMLdore to flash FW and it's successfully downgraded, and I got butter smooth flight experience, amazing stability, solved gimbal issue. but got the bunch of other issues, The battery takes too much time to power off and on, and also VPS is not working, serious issues while landing copter itself refuses to land. and am unable to calibrate the VPS through Assistant 2 (it shows Frame alignment error, please reboot aircraft) I have tried several versions of assistant2 and also disabled windows driver enforcement (Win7)
Is there anyone got a solution for this, kindly please help.
 
Joined
Oct 14, 2015
Messages
284
Reaction score
77
Age
57
Location
Rio Rancho NM
I just downgraded to .503,
I haven't had a chance to fly it yet.
Might try .411
 
Last edited:
Joined
Dec 4, 2017
Messages
10
Reaction score
0
Age
40
Got some serious issues on flight stability and gimbal movement on my P4 after updating to latest version (ie v2.0.106) so I tried to downgrade v1.2.503, but no official option available on Assistant 2. Then I used DUMLdore to flash FW and it's successfully downgraded, and I got butter smooth flight experience, amazing stability, solved gimbal issue. but got the bunch of other issues, The battery takes too much time to power off and on, and also VPS is not working, serious issues while landing copter itself refuses to land. and am unable to calibrate the VPS through Assistant 2 (it shows Frame alignment error, please reboot aircraft) I have tried several versions of assistant2 and also disabled windows driver enforcement (Win7)
Is there anyone got a solution for this, kindly please help.
Well if you have debugged your Assistant then there is an option to activate the VPS calibration prior to entering the Assistant 2 software.
If you see there are bunch of commands and other parameters figure just on the right hand side of Assistant 2 software ( Debugged).
Just above the "file" named field/ description there is a logical description mentioned- put 1 replacing 0.
Then get into Assistant , you will definitely be able to calibrate VPS
 
Joined
May 23, 2016
Messages
946
Reaction score
214
Age
56
Now flash to 1.2.602. Ideally RC to be 1.9.3 and GO 4.1.9.
This combination works for many.
 
Joined
Mar 27, 2016
Messages
101
Reaction score
13
Age
41
Now flash to 1.2.602. Ideally RC to be 1.9.3 and GO 4.1.9.
This combination works for many.
Is it safe to upgrade the RC to 1.9.3 and leave the AC to 1.2.602? I have the RC to 1.6 and the Go app keep prompting "Upgrade required" for the RC. Which variant do I download for the GO 4.1.9 on the apkmirror? It has three.
 
Joined
May 23, 2016
Messages
946
Reaction score
214
Age
56
Goal is to have a combination of releases reputed to work fine together. Upgrade messages are there to push to more recent version, you don't necessary want. Enable phone/tablet airplane mode before flying. Doing that there should be also less wifi interferences.

Accordingly notes:
V1 is original version
V2 is tablet version of V1
V3 is complete package

Would say V1 or V2
V1 has been downloaded a lot
 
Last edited:
Phantom Drones from EALLRC.com

New Threads

Forum statistics

Threads
136,376
Messages
1,410,428
Members
99,198
Latest member
joevig